EndpointsSaloon Seats

Saloon Seats

Function-calling namespace: saloonSeats

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

listByLocation

Source: backend/endpoints/saloon-seats/list-by-location

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
locationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "saloonSeats",
  "apiName": "listByLocation",
  "data": {
    "organizationId": "org_123",
    "locationId": "location_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

syncForLocation

Source: backend/endpoints/saloon-seats/sync-for-location

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
locationIdstringYes-
totalSeatsintegerYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "saloonSeats",
  "apiName": "syncForLocation",
  "data": {
    "organizationId": "org_123",
    "locationId": "location_123",
    "totalSeats": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }